The BOOST_PP_ARRAY_DATA macro extracts the tuple data from an array.

#### Usage

BOOST_PP_ARRAY_DATA(array)

#### Arguments

array
  An array to be converted to a tuple.

#### Remarks

This macro expands to the data portion of an array which is a tuple.

#### Requirements

Header: <boost/preprocessor/array/data.hpp>

#### Sample Code

    #include <boost/preprocessor/array/data.hpp>

    #define ARRAY (3, (x, y, z))

    BOOST_PP_ARRAY_DATA(ARRAY) // expands to (x, y, z)